Ask Your Question
0

Config and test rosemacs

asked 2016-08-08 10:34:44 -0500

toddcpierce gravatar image

updated 2016-08-09 19:55:06 -0500

Hello,

So, through some miracle I installed roslisp and rosemacs... I think (it´s kinetic). What I´d really like to do is test it. I´ve never used emacs and lisp before but I hear it´s the best development environment ever. Where do I start? How do I know if emacs is configured to connect to (or start ) a lisp session?

Any advice is appreciated.

===== Update after last reply =========== Actually, I was thinking more along the lines of getting emacs to talk to SBCL with the ROS configuration through slime. Not the internal emacs lisp. I did have some success with this. I edited the .emacs file in home directory to include this:

(add-to-list 'load-path "/opt/ros/kinetic/share/emacs/site-lisp") ;; or whatever your install space is + "/share/emacs/site-lisp" (require 'rosemacs-config).

It added some interesting ros-related buffers to emacs. I´m till trying to figure out slime and connecting to sbcl

======== Update after Gaya´s suggestion to just do rosrun roslisp_repl roslisp_repl ========

Yes. I tried this earlier but couldn´t get roslisp_repl to install. HOWEVER, it finally ALMOST installed. I discovered that nothing (like knowrob) is properly installing (catkin making) on my system because rosjava didn´t come with the kinetic installation. Nor is there any way to install it, that I can see. There is not even a kinetic rosjava installation available from source:

wstool init -j4 ~/rosjava/src https://raw.githubusercontent.com/ros... Using initial elements from: https://raw.githubusercontent.com/ros... ERROR in config: Unable to download URL [ https://raw.githubusercontent.com/ros... ]: HTTP Error 404: Not Found

So, it looks like I may be screwed here. If everything requires rosjava and there is no rosjava available for kinetic... well... punt.

Sincerely,

-Todd

edit retag flag offensive close merge delete

Comments

1

You followed the setup instructions for non-lisp developers of rosemacs. What you should try instead is the instructions for lisp developers. You can simply try to rosrun roslisp_repl roslisp_repl and that will start the lisp shell in an Emacs. There are also roslisp tutorials around, try those. .

gaya gravatar imagegaya ( 2016-08-09 16:12:01 -0500 )edit

2 Answers

Sort by » oldest newest most voted
1

answered 2016-08-09 10:23:18 -0500

mcshicks gravatar image

Emacs ships with lisp and you can always evaluate lisp in the scratch buffer. Emacs also ships with "An Introduction to Programming in Emacs Lisp" which you can find using the info command.

edit flag offensive delete link more
0

answered 2016-08-22 13:38:13 -0500

toddcpierce gravatar image

I got the roslisp_repl working! Here´s what happened:

The first time I installed ROS, the desktop base installation didn´t work. I installed the bare bones version and after that, everything lisp related installed fine except the roslisp_repl from source or otherwise. The knowrob installation also failed from source or otherwise since (like roslisp_repl) the rosjava_core_tools component of rosjava was missing. After all, rosjava was missing entirely.

So, I uninstalled ROS entirely and tried the desktop base installation again, and the desktop installation worked! AND it looks like they made some progress with roslisp because the normal package installation of roslisp_repl worked! That handled rosemacs and all the slime configuration and everything. Amazing what happens if you just wait a couple of weeks.

Anyway, I´m still screwed with the knowrob installation. There hasn´t been any release on that since indigo and the source installation doesn´t build without having rosjava installed (can´t find rosjava_core_tools) and rosjava has not been released for kinetic yet.

Any ideas with the knowrob install? toddcpierce@gmail.com

edit flag offensive delete link more

Comments

Great to hear that roslisp_repl worked for you. It is true that for most people it is more optimal to wait for some time until a new ROS version gets more stable and rich on packages. Knowrob depends on rosjava, if rosjava is missing the only thing you can do right now is to install it from source

gaya gravatar imagegaya ( 2016-08-22 13:59:07 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2016-08-08 10:34:44 -0500

Seen: 116 times

Last updated: Aug 22 '16